Bug 248356 - net/fping: Update to 4.4
Summary: net/fping: Update to 4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/schweikert/fping/r...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-29 23:18 UTC by daniel.engberg.lists
Modified: 2020-08-05 11:50 UTC (History)
2 users (show)

See Also:
jharris: maintainer-feedback+


Attachments
Patch for fping (1.96 KB, patch)
2020-07-29 23:18 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-07-29 23:18:57 UTC
Created attachment 216869 [details]
Patch for fping

Update fping to 4.4
Use upstream release archive
Remove gmake dependency
Remove unneeded CONFIGURE_ARGS variable
Remove patch as its no longer needed

Tested on FreeBSD 13.0-CURRENT r361421 (amd64)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 Automation User 2020-07-29 23:39:05 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/172310756
Comment 2 jharris 2020-08-04 21:17:14 UTC
Comment on attachment 216869 [details]
Patch for fping

Approved, thanks!
Comment 3 Fernando Apesteguía freebsd_committer 2020-08-05 05:31:58 UTC
Why does the patch removes USES_GITHUB and crafts a MASTER_SITES by hand?
Comment 4 daniel.engberg.lists 2020-08-05 07:24:32 UTC
There are no helpers as far as I can tell?
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-distfiles.html#makefile-master_sites-github-description and according to 5.4.3 officially released archives are to be used over github generated ones.
"If the distribution file comes from a specific commit or tag on GitHub for which there is no officially released file"
Comment 5 Fernando Apesteguía freebsd_committer 2020-08-05 11:24:38 UTC
I think you are right although the documentation says otherwise at some points:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-samplem.html
...
[If the source is obtained from github, remove MASTER_SITE* and...]
USE_GITHUB=	yes
GH_ACCOUNT=	example
...
Comment 6 commit-hook freebsd_committer 2020-08-05 11:48:53 UTC
A commit references this bug:

Author: fernape
Date: Wed Aug  5 11:48:17 UTC 2020
New revision: 544219
URL: https://svnweb.freebsd.org/changeset/ports/544219

Log:
  net/fping: Update to 4.4

  ChangeLog: https://github.com/schweikert/fping/releases/tag/v4.4

  * Use official release with MASTER_SITES instead of USE_GITHUB.

  PR:	248356
  Submitted by:	daniel.engberg.lists@pyret.net
  Reviewed by:	jharris@widomaker.com (maintainer)

Changes:
  head/net/fping/Makefile
  head/net/fping/distinfo
  head/net/fping/files/
Comment 7 Fernando Apesteguía freebsd_committer 2020-08-05 11:50:23 UTC
Committed,

Thanks!